﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net5.0-windows</TargetFramework>
    <RootNamespace>test_sqlite3_windows</RootNamespace>
    <UseWindowsForms>true</UseWindowsForms>
    <ApplicationIcon />
    <StartupObject>test_sqlite3_windows.Program</StartupObject>
  </PropertyGroup>
  <Target Name="Own_Resources" AfterTargets="Build">
    <Message Importance="High" Text="Copy own resources" />
    <ItemGroup>
      <OwnResx Include="$(ProjectDir)resources\**\*.*" Exclude="$(ProjectDir)resources\**\*.sql"></OwnResx>
    </ItemGroup>
    <Copy SourceFiles="@(OwnResx)" DestinationFolder="$(TargetDir)resources\%(RecursiveDir)" SkipUnchangedFiles="true" />
  </Target>
  <Target Name="Sqlite" AfterTargets="Own_Resources">
    <Message Importance="High" Text="Building sqlite dbs" />
    <ItemGroup>
      <TextsSqlite Include="$(TargetDir)resources\SQLiteTranslatorTest.sqlite" />
      <TextsSql Include="$(ProjectDir)resources\SQLiteTranslatorTest.sql" />
    </ItemGroup>
    <Message Importance="High" Text="Delete existing sqlite db files" />
    <Delete Files="@(TextsSqlite)" />
    <MakeDir Directories="$(TargetDir)resources" ContinueOnError="true" />
    <Message Importance="High" Text="Rebuild sqlite db files" />
    <Exec Command="sqlite3 &quot;@(TextsSqlite)&quot; &lt; &quot;@(TextsSql)&quot;" />
  </Target>
  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.8.3" />
    <PackageReference Include="NUnit" Version="3.13.0" />
    <PackageReference Include="NUnit3TestAdapter" Version="3.17.0" />
  </ItemGroup>

</Project>